com.holonplatform.datastore.jpa.querydsl.internal

## Class DefaultJpaQuery<T>

- java.lang.Object
- - com.holonplatform.datastore.jpa.querydsl.internal.DefaultJpaQuery<T>

- Type Parameters:
    `T` - Query result type
  All Implemented Interfaces:
    com.holonplatform.core.datastore.DataTarget.DataTargetSupport<JpaQuery<T>>, com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder<JpaQuery<T>>, com.holonplatform.core.query.QueryAggregation.QueryAggregationSupport<JpaQuery<T>>, com.holonplatform.core.query.QueryBuilder<JpaQuery<T>>, com.holonplatform.core.query.QueryFilter.QueryFilterSupport<JpaQuery<T>>, com.holonplatform.core.query.QuerySort.QuerySortSupport<JpaQuery<T>>, JpaQuery<T>, com.querydsl.core.Fetchable<T>, com.querydsl.core.FetchableQuery<T,com.querydsl.jpa.JPQLQuery<T>>, com.querydsl.core.FilteredClause<com.querydsl.jpa.JPQLQuery<T>>, com.querydsl.core.Query<com.querydsl.jpa.JPQLQuery<T>>, com.querydsl.core.SimpleQuery<com.querydsl.jpa.JPQLQuery<T>>, com.querydsl.core.support.ExtendedSubQuery<T>, com.querydsl.core.types.Expression<T>, com.querydsl.core.types.SubQueryExpression<T>, com.querydsl.jpa.JPQLQuery<T>, Serializable

      public class DefaultJpaQuery<T>
      extends Object
      implements JpaQuery<T>

  Default `JpaQuery` implementation.
  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultJpaQuery(com.holonplatform.datastore.jpa.context.JpaOperationContext operationContext)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<R,C> R` | `accept(com.querydsl.core.types.Visitor<R,C> v, C context)`
    `JpaQuery<T>` | `aggregate(com.holonplatform.core.query.QueryAggregation aggregation)`
    `static void` | `configureQuery(com.querydsl.jpa.JPQLQuery<?> query, com.holonplatform.core.query.QueryConfiguration configuration, com.holonplatform.datastore.jpa.querydsl.internal.expressions.QueryDslResolutionContext context)` Configure JPA query using query definition
    `com.querydsl.core.types.dsl.BooleanExpression` | `contains(com.querydsl.core.types.Expression<? extends T> right)`
    `com.querydsl.core.types.dsl.BooleanExpression` | `contains(T constant)`
    `JpaQuery<T>` | `distinct()`
    `com.querydsl.core.types.dsl.BooleanExpression` | `eq(com.querydsl.core.types.Expression<? extends T> expr)`
    `com.querydsl.core.types.dsl.BooleanExpression` | `eq(T constant)`
    `com.querydsl.core.types.dsl.BooleanExpression` | `exists()`
    `List<T>` | `fetch()`
    `JpaQuery<T>` | `fetchAll()`
    `long` | `fetchCount()`
    `T` | `fetchFirst()`
    `JpaQuery<T>` | `fetchJoin()`
    `T` | `fetchOne()`
    `com.querydsl.core.QueryResults<T>` | `fetchResults()`
    `JpaQuery<T>` | `filter(com.holonplatform.core.query.QueryFilter filter)`
    `<P> JpaQuery<T>` | `from(com.querydsl.core.types.CollectionExpression<?,P> target, com.querydsl.core.types.Path<P> alias)`
    `JpaQuery<T>` | `from(com.querydsl.core.types.EntityPath<?>... sources)`
    `com.querydsl.core.QueryMetadata` | `getMetadata()`
    `com.holonplatform.core.query.QueryConfiguration` | `getQueryConfiguration()`
    `Class<? extends T>` | `getType()`
    `com.querydsl.core.types.dsl.BooleanExpression` | `goe(com.querydsl.core.types.Expression<? extends T> expr)`
    `com.querydsl.core.types.dsl.BooleanExpression` | `goe(T constant)`
    `JpaQuery<T>` | `groupBy(com.querydsl.core.types.Expression<?>... o)`
    `com.querydsl.core.types.dsl.BooleanExpression` | `gt(com.querydsl.core.types.Expression<? extends T> expr)`
    `com.querydsl.core.types.dsl.BooleanExpression` | `gt(T constant)`
    `JpaQuery<T>` | `having(com.querydsl.core.types.Predicate... o)`
    `com.querydsl.core.types.dsl.BooleanExpression` | `in(Collection<? extends T> right)`
    `com.querydsl.core.types.dsl.BooleanExpression` | `in(T... right)`
    `<P> JpaQuery<T>` | `innerJoin(com.querydsl.core.types.CollectionExpression<?,P> target)`
    `<P> JpaQuery<T>` | `innerJoin(com.querydsl.core.types.CollectionExpression<?,P> target, com.querydsl.core.types.Path<P> alias)`
    `<P> JpaQuery<T>` | `innerJoin(com.querydsl.core.types.EntityPath<P> target)`
    `<P> JpaQuery<T>` | `innerJoin(com.querydsl.core.types.EntityPath<P> target, com.querydsl.core.types.Path<P> alias)`
    `<P> JpaQuery<T>` | `innerJoin(com.querydsl.core.types.MapExpression<?,P> target)`
    `<P> JpaQuery<T>` | `innerJoin(com.querydsl.core.types.MapExpression<?,P> target, com.querydsl.core.types.Path<P> alias)`
    `com.querydsl.core.types.dsl.BooleanOperation` | `isNotNull()`
    `com.querydsl.core.types.dsl.BooleanOperation` | `isNull()`
    `com.mysema.commons.lang.CloseableIterator<T>` | `iterate()`
    `<P> JpaQuery<T>` | `join(com.querydsl.core.types.CollectionExpression<?,P> target)`
    `<P> JpaQuery<T>` | `join(com.querydsl.core.types.CollectionExpression<?,P> target, com.querydsl.core.types.Path<P> alias)`
    `<P> JpaQuery<T>` | `join(com.querydsl.core.types.EntityPath<P> target)`
    `<P> JpaQuery<T>` | `join(com.querydsl.core.types.EntityPath<P> target, com.querydsl.core.types.Path<P> alias)`
    `<P> JpaQuery<T>` | `join(com.querydsl.core.types.MapExpression<?,P> target)`
    `<P> JpaQuery<T>` | `join(com.querydsl.core.types.MapExpression<?,P> target, com.querydsl.core.types.Path<P> alias)`
    `<P> JpaQuery<T>` | `leftJoin(com.querydsl.core.types.CollectionExpression<?,P> target)`
    `<P> JpaQuery<T>` | `leftJoin(com.querydsl.core.types.CollectionExpression<?,P> target, com.querydsl.core.types.Path<P> alias)`
    `<P> JpaQuery<T>` | `leftJoin(com.querydsl.core.types.EntityPath<P> target)`
    `<P> JpaQuery<T>` | `leftJoin(com.querydsl.core.types.EntityPath<P> target, com.querydsl.core.types.Path<P> alias)`
    `<P> JpaQuery<T>` | `leftJoin(com.querydsl.core.types.MapExpression<?,P> target)`
    `<P> JpaQuery<T>` | `leftJoin(com.querydsl.core.types.MapExpression<?,P> target, com.querydsl.core.types.Path<P> alias)`
    `JpaQuery<T>` | `limit(int limit)`
    `JpaQuery<T>` | `limit(long limit)`
    `com.querydsl.core.types.dsl.BooleanExpression` | `loe(com.querydsl.core.types.Expression<? extends T> expr)`
    `com.querydsl.core.types.dsl.BooleanExpression` | `loe(T constant)`
    `com.querydsl.core.types.dsl.BooleanExpression` | `lt(com.querydsl.core.types.Expression<? extends T> expr)`
    `com.querydsl.core.types.dsl.BooleanExpression` | `lt(T constant)`
    `com.querydsl.core.types.dsl.BooleanExpression` | `ne(com.querydsl.core.types.Expression<? extends T> expr)`
    `com.querydsl.core.types.dsl.BooleanExpression` | `ne(T constant)`
    `com.querydsl.core.types.dsl.BooleanExpression` | `notExists()`
    `JpaQuery<T>` | `offset(int offset)`
    `JpaQuery<T>` | `offset(long offset)`
    `JpaQuery<T>` | `on(com.querydsl.core.types.Predicate... condition)`
    `JpaQuery<T>` | `orderBy(com.querydsl.core.types.OrderSpecifier<?>... o)`
    `<C> JpaQuery<T>` | `parameter(com.holonplatform.core.config.ConfigProperty<C> property, C value)`
    `JpaQuery<T>` | `parameter(String name, Object value)`
    `JpaQuery<T>` | `restrict(int limit, int offset)`
    `JpaQuery<T>` | `restrict(com.querydsl.core.QueryModifiers modifiers)`
    `<P> JpaQuery<T>` | `rightJoin(com.querydsl.core.types.CollectionExpression<?,P> target)`
    `<P> JpaQuery<T>` | `rightJoin(com.querydsl.core.types.CollectionExpression<?,P> target, com.querydsl.core.types.Path<P> alias)`
    `<P> JpaQuery<T>` | `rightJoin(com.querydsl.core.types.EntityPath<P> target)`
    `<P> JpaQuery<T>` | `rightJoin(com.querydsl.core.types.EntityPath<P> target, com.querydsl.core.types.Path<P> alias)`
    `<P> JpaQuery<T>` | `rightJoin(com.querydsl.core.types.MapExpression<?,P> target)`
    `<P> JpaQuery<T>` | `rightJoin(com.querydsl.core.types.MapExpression<?,P> target, com.querydsl.core.types.Path<P> alias)`
    `JpaQuery<com.querydsl.core.Tuple>` | `select(com.querydsl.core.types.Expression<?>... exprs)`
    `<U> JpaQuery<U>` | `select(com.querydsl.core.types.Expression<U> expr)`
    `<P> JpaQuery<T>` | `set(com.querydsl.core.types.ParamExpression<P> param, P value)`
    `JpaQuery<T>` | `setFlushMode(javax.persistence.FlushModeType flushMode)` Set the query `FlushModeType`.
    `JpaQuery<T>` | `setHint(String name, Object value)` Add a query hint.
    `JpaQuery<T>` | `setLockMode(javax.persistence.LockModeType lockMode)` Set the query `LockModeType`.
    `JpaQuery<T>` | `sort(com.holonplatform.core.query.QuerySort sort)`
    `JpaQuery<T>` | `target(com.holonplatform.core.datastore.DataTarget<?> target)`
    `<S> S` | `transform(com.querydsl.core.ResultTransformer<S> transformer)`
    `JpaQuery<T>` | `where(com.querydsl.core.types.Predicate... o)`
    `<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression> JpaQuery<T>` | `withExpressionResolver(com.holonplatform.core.ExpressionResolver<E,R> expressionResolver)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jpa.querydsl.JpaQuery

      `count, list, singleResult, uniqueResult`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFilter.QueryFilterSupport

      `filter, filter`

    - ### Methods inherited from interface com.holonplatform.core.query.QuerySort.QuerySortSupport

      `sort, sort`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataTarget.DataTargetSupport

      `target`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryAggregation.QueryAggregationSupport

      `aggregate, aggregate`

- - ### Constructor Detail

    - #### DefaultJpaQuery

          public DefaultJpaQuery(com.holonplatform.datastore.jpa.context.JpaOperationContext operationContext)

  - ### Method Detail

    - #### getQueryConfiguration

          public com.holonplatform.core.query.QueryConfiguration getQueryConfiguration()

      Specified by:
        `getQueryConfiguration` in interface `com.holonplatform.core.query.QueryBuilder<JpaQuery<T>>`

    - #### withExpressionResolver

          public <E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression> JpaQuery<T> withExpressionResolver(com.holonplatform.core.ExpressionResolver<E,R> expressionResolver)

      Specified by:
        `withExpressionResolver` in interface `com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder<JpaQuery<T>>`

    - #### sort

          public JpaQuery<T> sort(com.holonplatform.core.query.QuerySort sort)

      Specified by:
        `sort` in interface `com.holonplatform.core.query.QuerySort.QuerySortSupport<JpaQuery<T>>`

    - #### filter

          public JpaQuery<T> filter(com.holonplatform.core.query.QueryFilter filter)

      Specified by:
        `filter` in interface `com.holonplatform.core.query.QueryFilter.QueryFilterSupport<JpaQuery<T>>`

    - #### aggregate

          public JpaQuery<T> aggregate(com.holonplatform.core.query.QueryAggregation aggregation)

      Specified by:
        `aggregate` in interface `com.holonplatform.core.query.QueryAggregation.QueryAggregationSupport<JpaQuery<T>>`

    - #### parameter

          public JpaQuery<T> parameter(String name,
                                       Object value)

      Specified by:
        `parameter` in interface `com.holonplatform.core.query.QueryBuilder<JpaQuery<T>>`

    - #### parameter

          public <C> JpaQuery<T> parameter(com.holonplatform.core.config.ConfigProperty<C> property,
                                           C value)

      Specified by:
        `parameter` in interface `com.holonplatform.core.query.QueryBuilder<JpaQuery<T>>`

    - #### target

          public JpaQuery<T> target(com.holonplatform.core.datastore.DataTarget<?> target)

      Specified by:
        `target` in interface `com.holonplatform.core.datastore.DataTarget.DataTargetSupport<JpaQuery<T>>`

    - #### limit

          public JpaQuery<T> limit(int limit)

      Specified by:
        `limit` in interface `com.holonplatform.core.query.QueryBuilder<JpaQuery<T>>`

    - #### offset

          public JpaQuery<T> offset(int offset)

      Specified by:
        `offset` in interface `com.holonplatform.core.query.QueryBuilder<JpaQuery<T>>`

    - #### restrict

          public JpaQuery<T> restrict(int limit,
                                      int offset)

      Specified by:
        `restrict` in interface `com.holonplatform.core.query.QueryBuilder<JpaQuery<T>>`

    - #### groupBy

          public JpaQuery<T> groupBy(com.querydsl.core.types.Expression<?>... o)

      Description copied from interface: `JpaQuery`
      Specified by:
        `groupBy` in interface `JpaQuery<T>`
      Specified by:
        `groupBy` in interface `com.querydsl.core.Query<com.querydsl.jpa.JPQLQuery<T>>`

    - #### having

          public JpaQuery<T> having(com.querydsl.core.types.Predicate... o)

      Description copied from interface: `JpaQuery`
      Specified by:
        `having` in interface `JpaQuery<T>`
      Specified by:
        `having` in interface `com.querydsl.core.Query<com.querydsl.jpa.JPQLQuery<T>>`

    - #### select

          public <U> JpaQuery<U> select(com.querydsl.core.types.Expression<U> expr)

      Description copied from interface: `JpaQuery`
      Specified by:
        `select` in interface `JpaQuery<T>`
      Specified by:
        `select` in interface `com.querydsl.core.FetchableQuery<T,com.querydsl.jpa.JPQLQuery<T>>`
      Specified by:
        `select` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### select

          public JpaQuery<com.querydsl.core.Tuple> select(com.querydsl.core.types.Expression<?>... exprs)

      Description copied from interface: `JpaQuery`
      Specified by:
        `select` in interface `JpaQuery<T>`
      Specified by:
        `select` in interface `com.querydsl.core.FetchableQuery<T,com.querydsl.jpa.JPQLQuery<T>>`
      Specified by:
        `select` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### from

          public JpaQuery<T> from(com.querydsl.core.types.EntityPath<?>... sources)

      Description copied from interface: `JpaQuery`
      Specified by:
        `from` in interface `JpaQuery<T>`
      Specified by:
        `from` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### from

          public <P> JpaQuery<T> from(com.querydsl.core.types.CollectionExpression<?,P> target,
                                      com.querydsl.core.types.Path<P> alias)

      Description copied from interface: `JpaQuery`
      Specified by:
        `from` in interface `JpaQuery<T>`
      Specified by:
        `from` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### innerJoin

          public <P> JpaQuery<T> innerJoin(com.querydsl.core.types.EntityPath<P> target)

      Description copied from interface: `JpaQuery`
      Specified by:
        `innerJoin` in interface `JpaQuery<T>`
      Specified by:
        `innerJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### innerJoin

          public <P> JpaQuery<T> innerJoin(com.querydsl.core.types.EntityPath<P> target,
                                           com.querydsl.core.types.Path<P> alias)

      Description copied from interface: `JpaQuery`
      Specified by:
        `innerJoin` in interface `JpaQuery<T>`
      Specified by:
        `innerJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### innerJoin

          public <P> JpaQuery<T> innerJoin(com.querydsl.core.types.CollectionExpression<?,P> target)

      Description copied from interface: `JpaQuery`
      Specified by:
        `innerJoin` in interface `JpaQuery<T>`
      Specified by:
        `innerJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### innerJoin

          public <P> JpaQuery<T> innerJoin(com.querydsl.core.types.CollectionExpression<?,P> target,
                                           com.querydsl.core.types.Path<P> alias)

      Description copied from interface: `JpaQuery`
      Specified by:
        `innerJoin` in interface `JpaQuery<T>`
      Specified by:
        `innerJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### innerJoin

          public <P> JpaQuery<T> innerJoin(com.querydsl.core.types.MapExpression<?,P> target)

      Description copied from interface: `JpaQuery`
      Specified by:
        `innerJoin` in interface `JpaQuery<T>`
      Specified by:
        `innerJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### innerJoin

          public <P> JpaQuery<T> innerJoin(com.querydsl.core.types.MapExpression<?,P> target,
                                           com.querydsl.core.types.Path<P> alias)

      Description copied from interface: `JpaQuery`
      Specified by:
        `innerJoin` in interface `JpaQuery<T>`
      Specified by:
        `innerJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### join

          public <P> JpaQuery<T> join(com.querydsl.core.types.EntityPath<P> target)

      Description copied from interface: `JpaQuery`
      Specified by:
        `join` in interface `JpaQuery<T>`
      Specified by:
        `join` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### join

          public <P> JpaQuery<T> join(com.querydsl.core.types.EntityPath<P> target,
                                      com.querydsl.core.types.Path<P> alias)

      Description copied from interface: `JpaQuery`
      Specified by:
        `join` in interface `JpaQuery<T>`
      Specified by:
        `join` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### join

          public <P> JpaQuery<T> join(com.querydsl.core.types.CollectionExpression<?,P> target)

      Description copied from interface: `JpaQuery`
      Specified by:
        `join` in interface `JpaQuery<T>`
      Specified by:
        `join` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### join

          public <P> JpaQuery<T> join(com.querydsl.core.types.CollectionExpression<?,P> target,
                                      com.querydsl.core.types.Path<P> alias)

      Description copied from interface: `JpaQuery`
      Specified by:
        `join` in interface `JpaQuery<T>`
      Specified by:
        `join` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### join

          public <P> JpaQuery<T> join(com.querydsl.core.types.MapExpression<?,P> target)

      Description copied from interface: `JpaQuery`
      Specified by:
        `join` in interface `JpaQuery<T>`
      Specified by:
        `join` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### join

          public <P> JpaQuery<T> join(com.querydsl.core.types.MapExpression<?,P> target,
                                      com.querydsl.core.types.Path<P> alias)

      Description copied from interface: `JpaQuery`
      Specified by:
        `join` in interface `JpaQuery<T>`
      Specified by:
        `join` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### leftJoin

          public <P> JpaQuery<T> leftJoin(com.querydsl.core.types.EntityPath<P> target)

      Description copied from interface: `JpaQuery`
      Specified by:
        `leftJoin` in interface `JpaQuery<T>`
      Specified by:
        `leftJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### leftJoin

          public <P> JpaQuery<T> leftJoin(com.querydsl.core.types.EntityPath<P> target,
                                          com.querydsl.core.types.Path<P> alias)

      Description copied from interface: `JpaQuery`
      Specified by:
        `leftJoin` in interface `JpaQuery<T>`
      Specified by:
        `leftJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### leftJoin

          public <P> JpaQuery<T> leftJoin(com.querydsl.core.types.CollectionExpression<?,P> target)

      Description copied from interface: `JpaQuery`
      Specified by:
        `leftJoin` in interface `JpaQuery<T>`
      Specified by:
        `leftJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### leftJoin

          public <P> JpaQuery<T> leftJoin(com.querydsl.core.types.CollectionExpression<?,P> target,
                                          com.querydsl.core.types.Path<P> alias)

      Description copied from interface: `JpaQuery`
      Specified by:
        `leftJoin` in interface `JpaQuery<T>`
      Specified by:
        `leftJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### leftJoin

          public <P> JpaQuery<T> leftJoin(com.querydsl.core.types.MapExpression<?,P> target)

      Description copied from interface: `JpaQuery`
      Specified by:
        `leftJoin` in interface `JpaQuery<T>`
      Specified by:
        `leftJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### leftJoin

          public <P> JpaQuery<T> leftJoin(com.querydsl.core.types.MapExpression<?,P> target,
                                          com.querydsl.core.types.Path<P> alias)

      Description copied from interface: `JpaQuery`
      Specified by:
        `leftJoin` in interface `JpaQuery<T>`
      Specified by:
        `leftJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### rightJoin

          public <P> JpaQuery<T> rightJoin(com.querydsl.core.types.EntityPath<P> target)

      Description copied from interface: `JpaQuery`
      Specified by:
        `rightJoin` in interface `JpaQuery<T>`
      Specified by:
        `rightJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### rightJoin

          public <P> JpaQuery<T> rightJoin(com.querydsl.core.types.EntityPath<P> target,
                                           com.querydsl.core.types.Path<P> alias)

      Description copied from interface: `JpaQuery`
      Specified by:
        `rightJoin` in interface `JpaQuery<T>`
      Specified by:
        `rightJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### rightJoin

          public <P> JpaQuery<T> rightJoin(com.querydsl.core.types.CollectionExpression<?,P> target)

      Description copied from interface: `JpaQuery`
      Specified by:
        `rightJoin` in interface `JpaQuery<T>`
      Specified by:
        `rightJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### rightJoin

          public <P> JpaQuery<T> rightJoin(com.querydsl.core.types.CollectionExpression<?,P> target,
                                           com.querydsl.core.types.Path<P> alias)

      Description copied from interface: `JpaQuery`
      Specified by:
        `rightJoin` in interface `JpaQuery<T>`
      Specified by:
        `rightJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### rightJoin

          public <P> JpaQuery<T> rightJoin(com.querydsl.core.types.MapExpression<?,P> target)

      Description copied from interface: `JpaQuery`
      Specified by:
        `rightJoin` in interface `JpaQuery<T>`
      Specified by:
        `rightJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### rightJoin

          public <P> JpaQuery<T> rightJoin(com.querydsl.core.types.MapExpression<?,P> target,
                                           com.querydsl.core.types.Path<P> alias)

      Description copied from interface: `JpaQuery`
      Specified by:
        `rightJoin` in interface `JpaQuery<T>`
      Specified by:
        `rightJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### on

          public JpaQuery<T> on(com.querydsl.core.types.Predicate... condition)

      Description copied from interface: `JpaQuery`
      Specified by:
        `on` in interface `JpaQuery<T>`
      Specified by:
        `on` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### transform

          public <S> S transform(com.querydsl.core.ResultTransformer<S> transformer)

      Specified by:
        `transform` in interface `com.querydsl.core.FetchableQuery<T,com.querydsl.jpa.JPQLQuery<T>>`

    - #### getMetadata

          public com.querydsl.core.QueryMetadata getMetadata()

      Specified by:
        `getMetadata` in interface `com.querydsl.core.types.SubQueryExpression<T>`

    - #### limit

          public JpaQuery<T> limit(long limit)

      Description copied from interface: `JpaQuery`
      Specified by:
        `limit` in interface `JpaQuery<T>`
      Specified by:
        `limit` in interface `com.querydsl.core.SimpleQuery<com.querydsl.jpa.JPQLQuery<T>>`

    - #### offset

          public JpaQuery<T> offset(long offset)

      Description copied from interface: `JpaQuery`
      Specified by:
        `offset` in interface `JpaQuery<T>`
      Specified by:
        `offset` in interface `com.querydsl.core.SimpleQuery<com.querydsl.jpa.JPQLQuery<T>>`

    - #### restrict

          public JpaQuery<T> restrict(com.querydsl.core.QueryModifiers modifiers)

      Description copied from interface: `JpaQuery`
      Specified by:
        `restrict` in interface `JpaQuery<T>`
      Specified by:
        `restrict` in interface `com.querydsl.core.SimpleQuery<com.querydsl.jpa.JPQLQuery<T>>`

    - #### orderBy

          public JpaQuery<T> orderBy(com.querydsl.core.types.OrderSpecifier<?>... o)

      Description copied from interface: `JpaQuery`
      Specified by:
        `orderBy` in interface `JpaQuery<T>`
      Specified by:
        `orderBy` in interface `com.querydsl.core.SimpleQuery<com.querydsl.jpa.JPQLQuery<T>>`

    - #### where

          public JpaQuery<T> where(com.querydsl.core.types.Predicate... o)

      Description copied from interface: `JpaQuery`
      Specified by:
        `where` in interface `JpaQuery<T>`
      Specified by:
        `where` in interface `com.querydsl.core.FilteredClause<com.querydsl.jpa.JPQLQuery<T>>`

    - #### set

          public <P> JpaQuery<T> set(com.querydsl.core.types.ParamExpression<P> param,
                                     P value)

      Description copied from interface: `JpaQuery`
      Specified by:
        `set` in interface `JpaQuery<T>`
      Specified by:
        `set` in interface `com.querydsl.core.SimpleQuery<com.querydsl.jpa.JPQLQuery<T>>`

    - #### distinct

          public JpaQuery<T> distinct()

      Description copied from interface: `JpaQuery`
      Specified by:
        `distinct` in interface `com.holonplatform.core.query.QueryBuilder<JpaQuery<T>>`
      Specified by:
        `distinct` in interface `JpaQuery<T>`
      Specified by:
        `distinct` in interface `com.querydsl.core.SimpleQuery<com.querydsl.jpa.JPQLQuery<T>>`

    - #### eq

          public com.querydsl.core.types.dsl.BooleanExpression eq(com.querydsl.core.types.Expression<? extends T> expr)

      Specified by:
        `eq` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### eq

          public com.querydsl.core.types.dsl.BooleanExpression eq(T constant)

      Specified by:
        `eq` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### ne

          public com.querydsl.core.types.dsl.BooleanExpression ne(com.querydsl.core.types.Expression<? extends T> expr)

      Specified by:
        `ne` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### ne

          public com.querydsl.core.types.dsl.BooleanExpression ne(T constant)

      Specified by:
        `ne` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### contains

          public com.querydsl.core.types.dsl.BooleanExpression contains(com.querydsl.core.types.Expression<? extends T> right)

      Specified by:
        `contains` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### contains

          public com.querydsl.core.types.dsl.BooleanExpression contains(T constant)

      Specified by:
        `contains` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### exists

          public com.querydsl.core.types.dsl.BooleanExpression exists()

      Specified by:
        `exists` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### notExists

          public com.querydsl.core.types.dsl.BooleanExpression notExists()

      Specified by:
        `notExists` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### lt

          public com.querydsl.core.types.dsl.BooleanExpression lt(com.querydsl.core.types.Expression<? extends T> expr)

      Specified by:
        `lt` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### lt

          public com.querydsl.core.types.dsl.BooleanExpression lt(T constant)

      Specified by:
        `lt` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### gt

          public com.querydsl.core.types.dsl.BooleanExpression gt(com.querydsl.core.types.Expression<? extends T> expr)

      Specified by:
        `gt` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### gt

          public com.querydsl.core.types.dsl.BooleanExpression gt(T constant)

      Specified by:
        `gt` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### loe

          public com.querydsl.core.types.dsl.BooleanExpression loe(com.querydsl.core.types.Expression<? extends T> expr)

      Specified by:
        `loe` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### loe

          public com.querydsl.core.types.dsl.BooleanExpression loe(T constant)

      Specified by:
        `loe` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### goe

          public com.querydsl.core.types.dsl.BooleanExpression goe(com.querydsl.core.types.Expression<? extends T> expr)

      Specified by:
        `goe` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### goe

          public com.querydsl.core.types.dsl.BooleanExpression goe(T constant)

      Specified by:
        `goe` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### isNull

          public com.querydsl.core.types.dsl.BooleanOperation isNull()

      Specified by:
        `isNull` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### isNotNull

          public com.querydsl.core.types.dsl.BooleanOperation isNotNull()

      Specified by:
        `isNotNull` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### accept

          public <R,C> R accept(com.querydsl.core.types.Visitor<R,C> v,
                                C context)

      Specified by:
        `accept` in interface `com.querydsl.core.types.Expression<T>`

    - #### in

          public com.querydsl.core.types.dsl.BooleanExpression in(Collection<? extends T> right)

      Specified by:
        `in` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### in

          public com.querydsl.core.types.dsl.BooleanExpression in(T... right)

      Specified by:
        `in` in interface `com.querydsl.core.support.ExtendedSubQuery<T>`

    - #### getType

          public Class<? extends T> getType()

      Specified by:
        `getType` in interface `com.querydsl.core.types.Expression<T>`

    - #### setLockMode

          public JpaQuery<T> setLockMode(javax.persistence.LockModeType lockMode)

      Description copied from interface: `JpaQuery`
      Set the query `LockModeType`.
      Specified by:
        `setLockMode` in interface `JpaQuery<T>`
      Parameters:
        `lockMode` - Lock mode
      Returns:
        this

    - #### setFlushMode

          public JpaQuery<T> setFlushMode(javax.persistence.FlushModeType flushMode)

      Description copied from interface: `JpaQuery`
      Set the query `FlushModeType`.
      Specified by:
        `setFlushMode` in interface `JpaQuery<T>`
      Parameters:
        `flushMode` - Flush mode
      Returns:
        this

    - #### setHint

          public JpaQuery<T> setHint(String name,
                                     Object value)

      Description copied from interface: `JpaQuery`
      Add a query hint.
      Specified by:
        `setHint` in interface `JpaQuery<T>`
      Parameters:
        `name` - Query hint name
        `value` - Query hint value
      Returns:
        this

    - #### fetch

          public List<T> fetch()

      Specified by:
        `fetch` in interface `com.querydsl.core.Fetchable<T>`

    - #### fetchJoin

          public JpaQuery<T> fetchJoin()

      Description copied from interface: `JpaQuery`
      Specified by:
        `fetchJoin` in interface `JpaQuery<T>`
      Specified by:
        `fetchJoin` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### fetchAll

          public JpaQuery<T> fetchAll()

      Description copied from interface: `JpaQuery`
      Specified by:
        `fetchAll` in interface `JpaQuery<T>`
      Specified by:
        `fetchAll` in interface `com.querydsl.jpa.JPQLQuery<T>`

    - #### fetchFirst

          public T fetchFirst()

      Specified by:
        `fetchFirst` in interface `com.querydsl.core.Fetchable<T>`

    - #### fetchOne

          public T fetchOne()

      Specified by:
        `fetchOne` in interface `com.querydsl.core.Fetchable<T>`

    - #### iterate

          public com.mysema.commons.lang.CloseableIterator<T> iterate()

      Specified by:
        `iterate` in interface `com.querydsl.core.Fetchable<T>`

    - #### fetchResults

          public com.querydsl.core.QueryResults<T> fetchResults()

      Specified by:
        `fetchResults` in interface `com.querydsl.core.Fetchable<T>`

    - #### fetchCount

          public long fetchCount()

      Specified by:
        `fetchCount` in interface `com.querydsl.core.Fetchable<T>`

    - #### configureQuery

          public static void configureQuery(com.querydsl.jpa.JPQLQuery<?> query,
                                            com.holonplatform.core.query.QueryConfiguration configuration,
                                            com.holonplatform.datastore.jpa.querydsl.internal.expressions.QueryDslResolutionContext context)

      Configure JPA query using query definition
      Parameters:
        `query` - JPA query to configure
        `configuration` - Query configuration
        `context` - Resolution context

Copyright © 2019 The Holon Platform. All rights reserved.